Bug 1309068 - [RFE] Allow users specify if task will run with tty enabled/disabled
[RFE] Allow users specify if task will run with tty enabled/disabled
Status: CLOSED NEXTRELEASE
Product: Restraint
Classification: Community
Component: general (Show other bugs)
0.1.23
Unspecified Unspecified
unspecified Severity high
: 0.1.25
: ---
Assigned To: Bill Peck
tools-bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 13:40 EST by Peter Hostačný
Modified: 2016-07-31 21:06 EDT (History)
6 users (show)

See Also:
Fixed In Version: restraint-0.1.25
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-24 08:56:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Hostačný 2016-02-16 13:40:06 EST
Description of problem:
It would be fine if users could specify which test will run with a tty enabled/disabled. Default value is debatable but an optional XML attribute at task should solve a lot of annoying problems (beakerlib outputs non-printable characters, yum/dnf produces long logs, etc..). On the other hand some tests could need a tty for their run (component like screen, etc..) - now it is workarounded by emulating a tty in the tests.

Default value can be discussed bellow.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
All tests run in emulated interactive terminal.

Expected results:
Possibility to run without a tty.

Additional info:
Comment 1 Bill Peck 2016-03-14 12:13:24 EDT
http://gerrit.beaker-project.org/#/c/4731/
Comment 2 Bill Peck 2016-03-24 08:56:13 EDT
Merged

Note You need to log in before you can comment on or make changes to this bug.